package com.ejie.ab63.model;

import org.apache.xmlbeans.StringEnumAbstractBase;

public class EnumAlojamientoModalidad extends StringEnumAbstractBase {
	static final int INT_X_0 = 1;
	static final int INT_X_1 = 2;
	static final int INT_X_2 = 3;
	static final int INT_C = 4;
	static final int INT_V = 5;
	static final int INT_A = 6;
	public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(
			new EnumAlojamientoModalidad[] { new EnumAlojamientoModalidad("0", 1), new EnumAlojamientoModalidad("1", 2),
					new EnumAlojamientoModalidad("2", 3), new EnumAlojamientoModalidad("C", 4),
					new EnumAlojamientoModalidad("V", 5), new EnumAlojamientoModalidad("A", 6) });
	private static final long serialVersionUID = 1L;

	public static EnumAlojamientoModalidad forString(String paramString) {
		return (EnumAlojamientoModalidad) table.forString(paramString);
	}

	public static EnumAlojamientoModalidad forInt(int paramInt) {
		return (EnumAlojamientoModalidad) table.forInt(paramInt);
	}

	private EnumAlojamientoModalidad(String paramString, int paramInt) {
		super(paramString, paramInt);
	}

	private Object readResolve() {
		return forInt(intValue());
	}
}
